diff --git a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
index b617c7e2c..cfea9c8e4 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/guidebook/ScreenGuidebook.java
@@ -8,12 +8,13 @@ import net.minecraft.client.gui.guidebook.search.GuidebookPageSearch;
 import net.minecraft.client.gui.guidebook.search.GuidebookSectionSearch;
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.client.render.Lighting;
-import net.minecraft.client.render.OpenGLHelper;
+import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.client.render.entity.EntityRendererItem;
 import net.minecraft.client.render.font.FontRenderer;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.lang.I18n;
@@ -22,8 +23,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
-import org.lwjgl.opengl.GL12;
 
 import java.util.List;
 import java.util.Random;
@@ -32,6 +31,7 @@ public class ScreenGuidebook
     extends Screen {
     private static final int TABS_PER_SIDE = 8;
     private static GuidebookPageManager guidebookPageManager = null;
+
     public static GuidebookPageManager getPageManager() {
         GuidebookSections.init();
         if (guidebookPageManager == null) guidebookPageManager = new GuidebookPageManager();
@@ -56,7 +56,7 @@ public class ScreenGuidebook
     @Override
     public void init() {
         super.init();
-        mc.thePlayer.triggerAchievement(Achievements.OPEN_GUIDEBOOK);
+        this.mc.thePlayer.triggerAchievement(Achievements.OPEN_GUIDEBOOK);
 
         initTabList();
         Keyboard.enableRepeatEvents(true);
@@ -71,11 +71,11 @@ public class ScreenGuidebook
     }
 
     private void initTabList() {
-        tabs = new Tab[TABS_PER_SIDE * 2];
+        this.tabs = new Tab[TABS_PER_SIDE * 2];
         List<GuidebookSection> sections = GuidebookSections.getSectionList();
         int numTabs = sections.size();
-        for (int i = 0; i < tabs.length && i < numTabs; i++) {
-            tabs[i] = new Tab(sections.get(i));
+        for (int i = 0; i < this.tabs.length && i < numTabs; i++) {
+            this.tabs[i] = new Tab(sections.get(i));
         }
 
         updateTabList();
@@ -84,54 +84,54 @@ public class ScreenGuidebook
     private void updateTabList() {
         boolean hasLeftPage = guidebookPageManager.getLeftPage() != null;
         boolean hasRightPage = guidebookPageManager.getRightPage() != null;
-        int left = width / 2 - xSize / (hasLeftPage && hasRightPage ? 2 : 4);
-        int right = width / 2 + xSize / (hasLeftPage && hasRightPage ? 2 : 4);
-        int top = height / 2 - ySize / 2;
+        int left = this.width / 2 - this.xSize / (hasLeftPage && hasRightPage ? 2 : 4);
+        int right = this.width / 2 + this.xSize / (hasLeftPage && hasRightPage ? 2 : 4);
+        int top = this.height / 2 - this.ySize / 2;
 
         List<GuidebookSection> sections = GuidebookSections.getSectionList();
         int numTabs = sections.size();
 
         // Left tabs
         for (int i = 0; i < TABS_PER_SIDE && i < numTabs; i++) {
-            tabs[i].setX(left - Tab.WIDTH);
-            tabs[i].setY(top + i * (Tab.HEIGHT + 2) + 7);
-            tabs[i].setFlipped(false);
-            if (sections.get(i) instanceof SearchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
-                List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(GuidebookPageManager.searchQuery);
-                if (search.size() > 0) {
-                    tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
+            this.tabs[i].setX(left - Tab.WIDTH);
+            this.tabs[i].setY(top + i * (Tab.HEIGHT + 2) + 7);
+            this.tabs[i].setFlipped(false);
+            if (sections.get(i) instanceof SearchableGuidebookSection searchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
+                List<GuidebookPage> search = searchableGuidebookSection.searchPages(GuidebookPageManager.searchQuery);
+                if (!search.isEmpty()) {
+                    this.tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
                 } else {
-                    tabs[i].setActive(false);
+                    this.tabs[i].setActive(false);
                 }
             } else {
                 List<GuidebookPage> pages = sections.get(i).getPages();
-                if (pages.size() > 0) {
-                    tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
+                if (!pages.isEmpty()) {
+                    this.tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
                 } else {
-                    tabs[i].setActive(false);
+                    this.tabs[i].setActive(false);
                 }
             }
         }
 
         // Right tabs
         for (int i = TABS_PER_SIDE; i < TABS_PER_SIDE * 2 && i < numTabs; i++) {
-            tabs[i].setX(right);
-            tabs[i].setY(top + (i - TABS_PER_SIDE) * (Tab.HEIGHT + 2) + 7);
-            tabs[i].setFlipped(true);
-            if (sections.get(i).getPages().size() > 0) {
-                if (sections.get(i) instanceof SearchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
-                    List<GuidebookPage> search = ((SearchableGuidebookSection) sections.get(i)).searchPages(GuidebookPageManager.searchQuery);
-                    if (search.size() > 0) {
-                        tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
+            this.tabs[i].setX(right);
+            this.tabs[i].setY(top + (i - TABS_PER_SIDE) * (Tab.HEIGHT + 2) + 7);
+            this.tabs[i].setFlipped(true);
+            if (!sections.get(i).getPages().isEmpty()) {
+                if (sections.get(i) instanceof SearchableGuidebookSection searchableGuidebookSection && GuidebookPageManager.searchQuery != null) {
+                    List<GuidebookPage> search = searchableGuidebookSection.searchPages(GuidebookPageManager.searchQuery);
+                    if (!search.isEmpty()) {
+                        this.tabs[i].setActive(search.get(0) == guidebookPageManager.getLeftPage() || search.get(0) == guidebookPageManager.getRightPage());
                     } else {
-                        tabs[i].setActive(false);
+                        this.tabs[i].setActive(false);
                     }
                 } else {
                     List<GuidebookPage> pages = sections.get(i).getPages();
-                    if (pages.size() > 0) {
-                        tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
+                    if (!pages.isEmpty()) {
+                        this.tabs[i].setActive((pages.get(0) == guidebookPageManager.getLeftPage()) || (pages.get(0) == guidebookPageManager.getRightPage()));
                     } else {
-                        tabs[i].setActive(false);
+                        this.tabs[i].setActive(false);
                     }
                 }
             }
@@ -145,7 +145,7 @@ public class ScreenGuidebook
 
     @Override
     public void render(int mx, int my, float renderPartialTicks) {
-        lastPage = guidebookPageManager.getLeftPage();
+        this.lastPage = guidebookPageManager.getLeftPage();
         scroll(Mouse.getDWheel());
 
         int xOffset = 0;
@@ -160,7 +160,7 @@ public class ScreenGuidebook
         drawTabs(mx, my);
         drawCurrentPages(mx, my, xOffset, renderPartialTicks);
         drawHeaders(xOffset);
-        drawCurrentPageOverlays(mx, my,xOffset,renderPartialTicks);
+        drawCurrentPageOverlays(mx, my, xOffset, renderPartialTicks);
         drawPageTurnIndicator(mx, my, xOffset);
         drawTooltip(mx, my);
     }
@@ -207,10 +207,10 @@ public class ScreenGuidebook
 
         int size = 24;
 
-        int top = height / 2 - ySize / 2;
-        int bottom = height / 2 + ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
-        int right = width / 2 + xSize / 2 + xOffset;
+        int top = this.height / 2 - this.ySize / 2;
+        int bottom = this.height / 2 + this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
+        int right = this.width / 2 + this.xSize / 2 + xOffset;
 
         if (guidebookPageManager.getLeftPage() != null && guidebookPageManager.hasPreviousPage()) {
             if (mx >= left && mx <= left + size && my >= top && my <= top + size) {
@@ -241,13 +241,13 @@ public class ScreenGuidebook
             }
         }
 
-        if (guidebookPageManager.getLeftPage() != null && mx > left && mx < left + xSize / 2 && my > top && my < bottom) {
+        if (guidebookPageManager.getLeftPage() != null && mx > left && mx < left + this.xSize / 2 && my > top && my < bottom) {
             guidebookPageManager.getLeftPage().onMouseDown(left, top, mx, my, buttonNum);
             updateTabList();
             return;
         }
-        if (guidebookPageManager.getRightPage() != null && mx > left + xSize / 2 && mx < right && my > top && my < bottom) {
-            guidebookPageManager.getRightPage().onMouseDown(left + xSize / 2, top, mx, my, buttonNum);
+        if (guidebookPageManager.getRightPage() != null && mx > left + this.xSize / 2 && mx < right && my > top && my < bottom) {
+            guidebookPageManager.getRightPage().onMouseDown(left + this.xSize / 2, top, mx, my, buttonNum);
             updateTabList();
             return;
         }
@@ -258,10 +258,10 @@ public class ScreenGuidebook
     @Override
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
         if (eventKey == Keyboard.KEY_ESCAPE) {
-            mc.displayScreen(getParentScreen());
+            this.mc.displayScreen(getParentScreen());
             return;
         }
-        if(eventKey != Keyboard.KEY_BACK) super.keyPressed(eventCharacter, eventKey, mx, my);
+        if (eventKey != Keyboard.KEY_BACK) super.keyPressed(eventCharacter, eventKey, mx, my);
 
         int xOffset = 0;
         if (guidebookPageManager.getLeftPage() == null) {
@@ -271,8 +271,8 @@ public class ScreenGuidebook
             xOffset = 158 / 2;
         }
 
-        int top = height / 2 - ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
+        int top = this.height / 2 - this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
 
         if (allowArrowKeyNavigation) {
             if (eventKey == Keyboard.KEY_LEFT) {
@@ -291,17 +291,17 @@ public class ScreenGuidebook
             updateTabList();
         }
         if (guidebookPageManager.getRightPage() != null) {
-            consumedInput |= guidebookPageManager.getRightPage().keyTyped(eventCharacter, eventKey, left + xSize / 2, top, mx, my);
+            consumedInput |= guidebookPageManager.getRightPage().keyTyped(eventCharacter, eventKey, left + this.xSize / 2, top, mx, my);
             updateTabList();
         }
 
-        if (!consumedInput && mc.gameSettings.keyGuidebook.isKeyboardKey(eventKey)) { // If R pressed and not consumed by page exit guidebook
-            mc.displayScreen(getParentScreen());
+        if (!consumedInput && this.mc.gameSettings.keyGuidebook.isKeyboardKey(eventKey)) { // If R pressed and not consumed by page exit guidebook
+            this.mc.displayScreen(getParentScreen());
         }
     }
 
     private void handleTabClicks(int mouseX, int mouseY) {
-        for (Tab tab : tabs) {
+        for (Tab tab : this.tabs) {
             if (tab == null) return;
             if (tab.mouseOver(mouseX, mouseY)) {
                 guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(tab.getSection()), true);
@@ -313,59 +313,59 @@ public class ScreenGuidebook
     }
 
     private void playPageSound() {
-        if (!canPlaySound || lastPage == guidebookPageManager.getLeftPage()) return;
-        canPlaySound = false;
+        if (!this.canPlaySound || this.lastPage == guidebookPageManager.getLeftPage()) return;
+        this.canPlaySound = false;
         Random r = new Random();
-        mc.sndManager.playSound("random.page", SoundCategory.GUI_SOUNDS, 0.8f, 0.9f + (r.nextFloat() - r.nextFloat()) * 0.1f);
+        this.mc.sndManager.playSound("random.page", SoundCategory.GUI_SOUNDS, 0.8f, 0.9f + (r.nextFloat() - r.nextFloat()) * 0.1f);
     }
 
-    public void guiSpecificControllerInput(@NotNull ControllerInput controller){
+    public void guiSpecificControllerInput(@NotNull ControllerInput controller) {
         super.guiSpecificControllerInput(controller);
-        if (controller.digitalPad.left.pressedThisFrame() || (controller.digitalPad.left.isPressed() && controller.digitalPad.left.getHoldTime() % 4 == 0)){
+        if (controller.digitalPad.left.pressedThisFrame() || (controller.digitalPad.left.isPressed() && controller.digitalPad.left.getHoldTime() % 4 == 0)) {
             guidebookPageManager.offsetPage(-2);
             updateTabList();
         }
-        if (controller.digitalPad.right.pressedThisFrame() || (controller.digitalPad.right.isPressed() && controller.digitalPad.right.getHoldTime() % 4 == 0)){
+        if (controller.digitalPad.right.pressedThisFrame() || (controller.digitalPad.right.isPressed() && controller.digitalPad.right.getHoldTime() % 4 == 0)) {
             guidebookPageManager.offsetPage(2);
             updateTabList();
         }
-        if (controller.buttonRightShoulder.pressedThisFrame()){
+        if (controller.buttonRightShoulder.pressedThisFrame()) {
             Tab t = getTab(guidebookPageManager.getCurrentSection(), true);
-            if (t != null){
+            if (t != null) {
                 int currentPage = guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage());
                 guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(t.getSection()), true);
-                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())){
+                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())) {
                     guidebookPageManager.offsetPage(2);
                 }
                 updateTabList();
             }
         }
-        if (controller.buttonLeftShoulder.pressedThisFrame()){
+        if (controller.buttonLeftShoulder.pressedThisFrame()) {
             Tab t = getTab(guidebookPageManager.getCurrentSection(), false);
-            if (t != null){
+            if (t != null) {
                 int currentPage = guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage());
                 guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex(t.getSection()), true);
-                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())){
+                if (currentPage == guidebookPageManager.getPageIndex(guidebookPageManager.getLeftPage())) {
                     guidebookPageManager.offsetPage(-2);
                 }
                 updateTabList();
             }
         }
         if (controller.buttonB.pressedThisFrame()) {
-            mc.displayScreen(getParentScreen());
+            this.mc.displayScreen(getParentScreen());
         }
     }
 
-    private Tab getTab(GuidebookSection section, boolean searchForward){
+    private Tab getTab(GuidebookSection section, boolean searchForward) {
         Tab tab = null;
         int index = -1;
-        for (int i = 0; i < tabs.length; i++) {
-            Tab t = tabs[i];
+        for (int i = 0; i < this.tabs.length; i++) {
+            Tab t = this.tabs[i];
             if (t == null) continue;
-            if (t.getSection() == section){
-                if (section instanceof GuidebookSectionSearch){
+            if (t.getSection() == section) {
+                if (section instanceof GuidebookSectionSearch) {
                     index = i + 1;
-                    tab = tabs[i + 1];
+                    tab = this.tabs[i + 1];
                 } else {
                     index = i;
                     tab = t;
@@ -374,9 +374,9 @@ public class ScreenGuidebook
             }
         }
         if (tab == null) return null;
-        for (int i = 1; i < tabs.length; i++) {
-            int searchDex = (tabs.length + index + (searchForward ? i : -i)) % tabs.length;
-            if (tabs[searchDex] != null) return tabs[searchDex];
+        for (int i = 1; i < this.tabs.length; i++) {
+            int searchDex = (this.tabs.length + index + (searchForward ? i : -i)) % this.tabs.length;
+            if (this.tabs[searchDex] != null) return this.tabs[searchDex];
         }
         return null;
     }
@@ -385,7 +385,7 @@ public class ScreenGuidebook
     public void tick() {
         super.tick();
 
-        canPlaySound = true;
+        this.canPlaySound = true;
 
         if (guidebookPageManager.getLeftPage() != null) {
             guidebookPageManager.getLeftPage().onTick();
@@ -398,89 +398,89 @@ public class ScreenGuidebook
     }
 
     private void drawTabs(int mouseX, int mouseY) {
-        for (Tab tab : tabs) {
+        for (Tab tab : this.tabs) {
             if (tab == null) break;
-            tab.render(mc.textureManager, mc.font, mouseX, mouseY);
+            tab.render(this.mc.textureManager, this.mc.font, mouseX, mouseY);
         }
     }
 
     private void drawTooltip(int mouseX, int mouseY) {
-        for (Tab tab : tabs) {
+        for (Tab tab : this.tabs) {
             if (tab == null) break;
             if (tab.mouseOver(mouseX, mouseY)) {
-                tab.renderTooltip(tooltip, mouseX, mouseY);
+                tab.renderTooltip(this.tooltip, mouseX, mouseY);
             }
         }
     }
 
     private void drawCurrentPages(int mouseX, int mouseY, int xOffset, float partialTicks) {
-        int top = height / 2 - ySize / 2;
-        int bottom = height / 2 + ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
-        int right = width / 2 + xSize / 2 + xOffset;
+        int top = this.height / 2 - this.ySize / 2;
+        int bottom = this.height / 2 + this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
+        int right = this.width / 2 + this.xSize / 2 + xOffset;
 
         GuidebookPage leftPage = guidebookPageManager.getLeftPage();
         GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         if (leftPage != null) {
-            leftPage.render(mc.textureManager, mc.font, left, top, mouseX, mouseY, partialTicks);
+            leftPage.render(this.mc.textureManager, this.mc.font, left, top, mouseX, mouseY, partialTicks);
         }
         if (rightPage != null) {
-            rightPage.render(mc.textureManager, mc.font, right - 158, top, mouseX, mouseY, partialTicks);
+            rightPage.render(this.mc.textureManager, this.mc.font, right - 158, top, mouseX, mouseY, partialTicks);
         }
     }
 
-    private void drawCurrentPageOverlays(int mouseX, int mouseY, int xOffset, float partialTicks){
-        int top = height / 2 - ySize / 2;
-        int bottom = height / 2 + ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
-        int right = width / 2 + xSize / 2 + xOffset;
+    private void drawCurrentPageOverlays(int mouseX, int mouseY, int xOffset, float partialTicks) {
+        int top = this.height / 2 - this.ySize / 2;
+        int bottom = this.height / 2 + this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
+        int right = this.width / 2 + this.xSize / 2 + xOffset;
 
         GuidebookPage leftPage = guidebookPageManager.getLeftPage();
         GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         if (leftPage != null) {
-            leftPage.renderOverlay(mc.textureManager, mc.font,left,top,mouseX,mouseY,partialTicks);
+            leftPage.renderOverlay(this.mc.textureManager, this.mc.font, left, top, mouseX, mouseY, partialTicks);
         }
         if (rightPage != null) {
-            rightPage.renderOverlay(mc.textureManager, mc.font,right - 158,top,mouseX,mouseY,partialTicks);
+            rightPage.renderOverlay(this.mc.textureManager, this.mc.font, right - 158, top, mouseX, mouseY, partialTicks);
         }
     }
 
     private void drawHeaders(int xOffset) {
-        int bottom = height / 2 + ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
-        int right = width / 2 + xSize / 2 + xOffset;
+        int bottom = this.height / 2 + this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
+        int right = this.width / 2 + this.xSize / 2 + xOffset;
 
         GuidebookPage leftPage = guidebookPageManager.getLeftPage();
         GuidebookPage rightPage = guidebookPageManager.getRightPage();
 
         //find a way how to display the total number of pages properly maybe
         if (leftPage != null && leftPage.drawHeaders()) {
-            drawStringNoShadow(fontRenderer, String.valueOf(guidebookPageManager.getPageIndex(leftPage)) /*+ "/" + guidebookPageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
+            drawStringNoShadow(this.fontRenderer, String.valueOf(guidebookPageManager.getPageIndex(leftPage)) /*+ "/" + guidebookPageManager.getNumPages()*/, left + 12, bottom - 20, 0xFF000000);
+            drawStringCenteredNoShadow(this.fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getLeftPage().getSection().getTranslationKey()), left + 158 / 2, bottom - 20, 0xFF808080);
         }
         if (rightPage != null && rightPage.drawHeaders()) {
             String str = String.valueOf(guidebookPageManager.getPageIndex(rightPage)); /*+ "/" + guidebookPageManager.getNumPages();*/
-            drawStringNoShadow(fontRenderer, str, right - 12 - MathHelper.ceil(fontRenderer.stringWidthDouble(str)), bottom - 20, 0xFF000000);
-            drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
+            drawStringNoShadow(this.fontRenderer, str, right - 12 - MathHelper.ceil(this.fontRenderer.stringWidthDouble(str)), bottom - 20, 0xFF000000);
+            drawStringCenteredNoShadow(this.fontRenderer, I18n.getInstance().translateKey(guidebookPageManager.getRightPage().getSection().getTranslationKey()), right - 158 / 2, bottom - 20, 0xFF808080);
         }
     }
 
     private void drawPageTurnIndicator(int mouseX, int mouseY, int xOffset) {
         int size = 24;
 
-        int top = height / 2 - ySize / 2;
-        int bottom = height / 2 + ySize / 2;
-        int left = width / 2 - xSize / 2 + xOffset;
-        int right = width / 2 + xSize / 2 + xOffset;
+        int top = this.height / 2 - this.ySize / 2;
+        int bottom = this.height / 2 + this.ySize / 2;
+        int left = this.width / 2 - this.xSize / 2 + xOffset;
+        int right = this.width / 2 + this.xSize / 2 + xOffset;
 
-        mc.textureManager.bindTexture(mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
+        this.mc.textureManager.bindTexture(this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
 
-        GL11.glColor4f(1, 1, 1, 1);
+        GLRenderer.setColor4f(1, 1, 1, 1);
         if (guidebookPageManager.getLeftPage() != null && guidebookPageManager.hasPreviousPage()) {
             if (mouseX >= left && mouseX <= left + size && mouseY >= top && mouseY <= top + size) {
-                drawTexturedModalRect(left, top, 24 * 0, 220, 24, 24);
+                drawTexturedModalRect(left, top, 0, 220, 24, 24);
             }
             if (mouseX >= left && mouseX <= left + size && mouseY >= bottom - size && mouseY <= bottom) {
                 drawTexturedModalRect(left, bottom - size, 24 * 2, 220, 24, 24);
@@ -488,7 +488,7 @@ public class ScreenGuidebook
         }
         if (guidebookPageManager.getRightPage() != null && guidebookPageManager.hasNextPage()) {
             if (mouseX >= right - size && mouseX <= right && mouseY >= top && mouseY <= top + size) {
-                drawTexturedModalRect(right - size, top, 24 * 1, 220, 24, 24);
+                drawTexturedModalRect(right - size, top, 24, 220, 24, 24);
             }
             if (mouseX >= right - size && mouseX <= right && mouseY >= bottom - size && mouseY <= bottom) {
                 drawTexturedModalRect(right - size, bottom - size, 24 * 3, 220, 24, 24);
@@ -498,7 +498,7 @@ public class ScreenGuidebook
 
     private static class Tab
         extends Gui {
-        private static EntityRendererItem itemRenderer = new EntityRendererItem();
+        private static final EntityRendererItem itemRenderer = new EntityRendererItem();
         private static final int WIDTH = 36;
         private static final int HEIGHT = 24;
         private final GuidebookSection section;
@@ -512,7 +512,7 @@ public class ScreenGuidebook
         }
 
         public GuidebookSection getSection() {
-            return section;
+            return this.section;
         }
 
         public void setX(int x) {
@@ -537,54 +537,54 @@ public class ScreenGuidebook
             re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
 
             int xo = 16;
-            if (mouseOver || active) {
+            if (mouseOver || this.active) {
                 xo = 0;
             }
-            if (flipped) {
+            if (this.flipped) {
                 xo = -xo;
             }
 
             int u = 158;
             int v = 0;
-            if (flipped) v = 48;
+            if (this.flipped) v = 48;
 
-            int bgColor = section.getBackgroundColor();
-            int fgColor = section.getForegroundColor();
-            ItemStack icon = section.getTabIcon();
+            int bgColor = this.section.getBackgroundColor();
+            int fgColor = this.section.getForegroundColor();
+            ItemStack icon = this.section.getTabIcon();
 
-            OpenGLHelper.glColor1i(0xFF000000 | bgColor);
-            drawTexturedModalRect(x + xo, y, u, v, WIDTH, HEIGHT);
-            OpenGLHelper.glColor1i(0xFF000000 | fgColor);
-            drawTexturedModalRect(x + xo, y, u, v + HEIGHT, WIDTH, HEIGHT);
+            GLRenderer.setColor1i(0xFF000000 | bgColor);
+            drawTexturedModalRect(this.x + xo, this.y, u, v, WIDTH, HEIGHT);
+            GLRenderer.setColor1i(0xFF000000 | fgColor);
+            drawTexturedModalRect(this.x + xo, this.y, u, v + HEIGHT, WIDTH, HEIGHT);
 
             if (icon != null) {
-                int iconOffset = flipped ? 4 : 12 + 4;
+                int iconOffset = this.flipped ? 4 : 12 + 4;
 
-                GL11.glDepthMask(true);
+                GLRenderer.setDepthMask(true);
                 Lighting.enableInventoryLight();
-                GL11.glColor4f(1, 1, 1, 1);
-                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+                GLRenderer.setColor4f(1, 1, 1, 1);
+//                GL11.glEnable(GL12.GL_RESCALE_NORMAL);
 
-                GL11.glEnable(GL11.GL_DEPTH_TEST);
-//                ItemModelDispatcher.getInstance().getDispatch(icon).renderItemIntoGui(Tessellator.instance, fr, re, icon, x + iconOffset + xo, y + 4, 1.0f);
-                ItemModelDispatcher.getInstance().getDispatch(icon).renderGui(Tessellator.instance, null, icon, x + iconOffset + xo, y + 4, 1.0f, 1f, 1f);
-                GL11.glDisable(GL11.GL_DEPTH_TEST);
+                GLRenderer.enableState(State.DEPTH_TEST);
+//                ItemModelDispatcher.getInstance().getDispatch(icon).renderItemIntoGui(GLRenderer.getTessellator(), fr, re, icon, x + iconOffset + xo, y + 4, 1.0f);
+                ItemModelDispatcher.getInstance().getDispatch(icon).renderGui(GLRenderer.getTessellator(), null, icon, this.x + iconOffset + xo, this.y + 4, LightmapHelper.getLightmapCoord(15, 15), 1f);
+                GLRenderer.disableState(State.DEPTH_TEST);
 
-                GL11.glDisable(GL12.GL_RESCALE_NORMAL);
+//                GL11.glDisable(GL12.GL_RESCALE_NORMAL);
                 Lighting.disable();
-                GL11.glDisable(GL11.GL_LIGHTING);
-                GL11.glDisable(GL11.GL_DEPTH_TEST);
+                GLRenderer.globalSetLightEnabled(false);
+                GLRenderer.disableState(State.DEPTH_TEST);
             }
         }
 
         public void renderTooltip(TooltipElement tooltip, int mouseX, int mouseY) {
             if (mouseOver(mouseX, mouseY)) {
-                tooltip.render(I18n.getInstance().translateKey(section.getTranslationKey()), mouseX, mouseY, 8, -8);
+                tooltip.render(I18n.getInstance().translateKey(this.section.getTranslationKey()), mouseX, mouseY, 8, -8);
             }
         }
 
         public boolean mouseOver(int mouseX, int mouseY) {
-            return mouseX >= x && mouseX <= x + WIDTH && mouseY >= y && mouseY <= y + HEIGHT;
+            return mouseX >= this.x && mouseX <= this.x + WIDTH && mouseY >= this.y && mouseY <= this.y + HEIGHT;
         }
     }
 }
